Search Engine: Elastic

Article ID: 131201, created on Jul 28, 2017, last review on Jul 28, 2017

  • Applies to:
  • Operations Automation 6.0

Symptoms

The Office 365 and Azure customizations are applied correctly per Billing customizations and Online Store customizations articles.

However, Online Store does not show the available domains, in case there is more than 1 domain available under the account.

Web Browser console shows the following message:

The page was loaded over HTTPS, but requested an insecure resource.

and:

Uncaught TypeError: $.parseHTML is not a function
    at addO365Domains (index.php?id=edit&view=edit&SCREEN=BUY_AZURE_CSP&lineNr=0&NAME_PATH=AZURE_CSP&requestToken=65277dd2…:946)
    at index.php?id=edit&view=edit&SCREEN=BUY_AZURE_CSP&lineNr=0&NAME_PATH=AZURE_CSP&requestToken=65277dd2…:963
    at Object.<anonymous> (index.php?id=edit&view=edit&SCREEN=BUY_AZURE_CSP&lineNr=0&NAME_PATH=AZURE_CSP&requestToken=65277dd2…:879)
    at o (jquery-1.7.2.min.js:2)
    at Object.fireWith [as resolveWith] (jquery-1.7.2.min.js:2)
    at w (jquery-1.7.2.min.js:4)
    at XMLHttpRequest.d (jquery-1.7.2.min.js:4)

Cause

Online Store index page invokes jquery version 1.7 that does not include the definition for parseHTML function.

Resolution

2 ways to resolve in overall_wrapper layout template:

  1. Change the line:

    {literal}<script type="text/javascript" src="http://code.jquery.com/jquery-1.8.0.js"></script>{/literal}
    

    to:

    {literal}<script type="text/javascript" src="https://code.jquery.com/jquery-1.8.0.js"></script>{/literal}
    
  2. Change the line:

    <script src="{$SCRIPT_DIR}/static/store-skins/telmex/js/jquery-1.7.2.min.js"></script> 
    

    to:

    <script src="{$SCRIPT_DIR}/static/store-skins/telmex/js/jquery-1.8.3.min.js"></script> 
    

    and put the newer JS version from http://code.jquery.com/jquery-1.8.3.min.js to /usr/local/bm/templatestore/webroot/static/store-skins/<skin-name>/js/jquery-1.8.3.min.js on the Online Store node (make sure the Linux permissions are set to 644).

The target goal is to load JQuery of newer version.

5356b422f65bdad1c3e9edca5d74a1ae caea8340e2d186a540518d08602aa065 e12cea1d47a3125d335d68e6d4e15e07 956c448bddc7e1f3585373687602379f 6f1456866eed87488c0f02b298a741c0

Email subscription for changes to this article
Save as PDF